org.eclipse.ecf.osgi.services.remoteserviceadmin

## Class RemoteServiceAdmin.ImportReference

- java.lang.Object
- - org.eclipse.ecf.osgi.services.remoteserviceadmin.RemoteServiceAdmin.ImportReference

All Implemented Interfaces:
  ImportReference

Enclosing class:
  RemoteServiceAdmin

    public class RemoteServiceAdmin.ImportReference
    extends Object
    implements ImportReference

Since:
  4.2

### Method Summary

All Methods Instance Methods Concrete Methods
`ID` `getContainerID()`
`EndpointDescription` `getImportedEndpoint()` Return the Endpoint Description for the remote endpoint.
`ServiceReference` `getImportedService()` Return the Service Reference for the proxy for the endpoint.
`ID` `getLocalContainerID()`
`long` `getRemoteServiceId()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Method Detail

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### getContainerID

    public ID getContainerID()

#### getLocalContainerID

    public ID getLocalContainerID()

Since:
  4.6

#### getRemoteServiceId

    public long getRemoteServiceId()

#### getImportedService

    public ServiceReference getImportedService()

Description copied from interface: `ImportReference`
Return the Service Reference for the proxy for the endpoint.

Specified by:
  `getImportedService` in interface `ImportReference`
Returns:
  The Service Reference to the proxy for the endpoint. Must be `null` when the service is no longer imported.

#### getImportedEndpoint

    public EndpointDescription getImportedEndpoint()

Description copied from interface: `ImportReference`
Return the Endpoint Description for the remote endpoint.

Specified by:
  `getImportedEndpoint` in interface `ImportReference`
Returns:
  The Endpoint Description for the remote endpoint. Must be `null` when the service is no longer imported.